Open MPI logo

Hardware Locality Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Hardware Locality Development mailing list

Subject: Re: [hwloc-devel] Pgcc issues fixed?
From: Chris Samuel (csamuel_at_[hidden])
Date: 2009-11-03 18:19:28


----- "Chris Samuel" <csamuel_at_[hidden]> wrote:

> Will try PGI 7.0 now.

I can confirm it compiles OK with PGI 7.0, 7.1 and 7.2
with the same warnings as for 8.0.

These warnings also appear with 9.0.

Lots of warnings from the Intel v11 compilers,
I've attached a text file for the entire make
process.

GCC 4.4.2 compiles it without a warning (using -Werror
to catch any). Likewise GCC 4.1.2 that comes with CentOS 5.

cheers,
Chris

-- 
Christopher Samuel - (03) 9925 4751 - Systems Manager
 The Victorian Partnership for Advanced Computing
 P.O. Box 201, Carlton South, VIC 3053, Australia
VPAC is a not-for-profit Registered Research Agency